- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exponent::GUI::Listeners::IWindowChangeListener Interface Reference

List of all members.

## Detailed Description

Allows windows to respond to change events such as sizing, moving etc..

Date:
  18/03/2005

Author:
  Paul Chana

Version:
  1.0.0 Initial version

Note:
  All contents of this source code are copyright 2005 Exp Digital Uk.
  This source file is covered by the licence conditions of the Infinity API. You should have recieved a copy
  with the source code. If you didnt, please refer to http://www.expdigital.co.uk All content is the Intellectual property of Exp Digital Uk.
  Certain sections of this code may come from other sources. They are credited where applicable.
  If you have comments, suggestions or bug reports please visit http://support.expdigital.co.uk

Id
  IWindowChangeListener.hpp,v 1.5 2007/02/11 02:16:22 paul Exp

Definition at line 48 of file IWindowChangeListener.hpp.

## Public Member Functions

- IWindowChangeListener ()
- virtual bool windowClosed (IWindow *window)=0
- virtual void windowMaximised (IWindow *window)=0
- virtual void windowMinimised (IWindow *window)=0
- virtual void windowMoved (IWindow *window, const CPoint &newTopLeft)=0
- virtual void windowOpened (IWindow *window)=0
- virtual void windowSized (IWindow *window, const CDimension &newDimension)=0
- virtual ~IWindowChangeListener ()

## Constructor & Destructor Documentation

Exponent::GUI::Listeners::IWindowChangeListener::IWindowChangeListener | ( |  | ) | `[inline]`

Construction

Definition at line 60 of file IWindowChangeListener.hpp.

virtual Exponent::GUI::Listeners::IWindowChangeListener::~IWindowChangeListener | ( |  | ) | `[inline, virtual]`

Destruction

Definition at line 65 of file IWindowChangeListener.hpp.

## Member Function Documentation

virtual bool Exponent::GUI::Listeners::IWindowChangeListener::windowClosed | ( | IWindow * | window | ) | `[pure virtual]`

Window has been closed

Parameters:

  | window | The window that has been resized

Return values:

  | bool | True if you want to allow the window to close, false otherwise

virtual void Exponent::GUI::Listeners::IWindowChangeListener::windowMaximised | ( | IWindow * | window | ) | `[pure virtual]`

Window has been maximised

Parameters:

  | window | The window that has been resized

virtual void Exponent::GUI::Listeners::IWindowChangeListener::windowMinimised | ( | IWindow * | window | ) | `[pure virtual]`

Window has been minimised

Parameters:

  | window | The window that has been resized

virtual void Exponent::GUI::Listeners::IWindowChangeListener::windowMoved | ( | IWindow * | window,
|  | const CPoint & | newTopLeft |
| ) |  |  | `[pure virtual]`

Window has been moved

Parameters:

  | window | The window that has been resized
  | newTopLeft | The new top left position of the window

virtual void Exponent::GUI::Listeners::IWindowChangeListener::windowOpened | ( | IWindow * | window | ) | `[pure virtual]`

Window has been opened

Parameters:

  | window | The window that has been resized

virtual void Exponent::GUI::Listeners::IWindowChangeListener::windowSized | ( | IWindow * | window,
|  | const CDimension & | newDimension |
| ) |  |  | `[pure virtual]`

Window has been resized

Parameters:

  | window | The window that has been resized
  | newDimension | The new dimension of the window